package com.ruoyi.web.controller.controllerCustomer;

import com.ruoyi.common.core.controller.BaseController;
import com.ruoyi.common.core.page.TableDataInfo;
import com.ruoyi.system.domain.customer.QuestionEntity;
import com.ruoyi.system.service.impl.customerService.QuestionService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.List;

@RestController
@RequestMapping("/customer/question")
public class QuestionController extends BaseController {

    @Autowired
    private QuestionService questionService;
    /**
     * 会话列表
     * @param questionEntity
     * @return
     */
//    @PreAuthorize("@ss.hasPermi('customer:session:list')")
    @GetMapping("/list")
    public TableDataInfo list(QuestionEntity questionEntity)
    {
        startPage();
        List<QuestionEntity> list = questionService.selectQuestionList(questionEntity);
        return getDataTable(list);
    }
}
