package com.ruoyi.system.domain.customer;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.ruoyi.common.core.domain.BaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.time.LocalDateTime;
import java.util.List;

@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("session")
public class SessionEntity  extends BaseEntity implements Serializable {
    private static final long serialVersionUID = 1L;
    @TableId(value = "session_id",type = IdType.AUTO)
    private Long sessionId;
    private Long userId;
    private String userName;
    private Integer sessionStatus;// 会话状态：0，待处理；1.已处理
    private LocalDateTime createdTime;
    private LocalDateTime dealTime;

    private List<MessageEntity> messageEntity;
    private List<FileEntity> fileEntity;
    @Override
    public void setCreatedTime(LocalDateTime createdTime) {
        this.createdTime = createdTime;
    }

}
