package com.ruoyi.web.controller.controllerCustomer;


import com.ruoyi.common.core.controller.BaseController;
import com.ruoyi.common.core.page.TableDataInfo;
import com.ruoyi.system.domain.customer.SessionEntity;
import com.ruoyi.system.service.impl.customerService.SessionService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.List;


@RestController
@RequestMapping("/customer/session")
public class SessionController extends BaseController {
    @Autowired
    private SessionService sessionService;
    /**
     * 会话列表
     * @param sessionEntity
     * @return
     */
//    @PreAuthorize("@ss.hasPermi('customer:session:list')")
    @GetMapping("/list")
    public TableDataInfo list(SessionEntity sessionEntity)
    {
        startPage();
        List<SessionEntity> list = sessionService.selectSessionList(sessionEntity);
        return getDataTable(list);
    }



}
