package com.ruoyi.system.mapper.customerServiceMapper;

import com.ruoyi.system.domain.customer.QuestionEntity;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface QuestionMapper {
    List<QuestionEntity> findAnswerByQuestion(@Param("questionContent") String questionContent,@Param("userId") Long userId);

    /**
     * 根据条件分页查询会话列表
     *
     * @param QuestionEntity 会话列表
     * @return 会话信息集合信息
     */
    public List<QuestionEntity> selectQuestionList(QuestionEntity QuestionEntity);
}
